Name:           perl-Module-Build
# Compatibility with base
%if %{rhel} > 6
Epoch:          2
%else
Epoch:          1
%endif
Version:        0.4231
Release:        1%{?org_tag}%{?dist}
Summary:        Build and install Perl modules
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Build/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Module-Build-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006001
BuildRequires:  perl(CPAN::Meta) >= 2.142060
BuildRequires:  perl(CPAN::Meta::YAML) >= 0.003
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(ExtUtils::Install) >= 0.3
BuildRequires:  perl(ExtUtils::Manifest) >= 1.54
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.21
BuildRequires:  perl(File::Spec) >= 0.82
BuildRequires:  perl(File::Temp) >= 0.15
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Metadata) >= 1.000002
BuildRequires:  perl(Parse::CPAN::Meta) >= 1.4401
BuildRequires:  perl(Perl::OSType) >= 1
BuildRequires:  perl(TAP::Harness) >= 3.29
BuildRequires:  perl(Test::More) >= 0.49
BuildRequires:  perl(version) >= 0.87
Requires:       perl(CPAN::Meta) >= 2.142060
Requires:       perl(ExtUtils::CBuilder) >= 0.27
Requires:       perl(ExtUtils::Install) >= 0.3
Requires:       perl(ExtUtils::Manifest) >= 1.54
Requires:       perl(ExtUtils::ParseXS) >= 2.21
Requires:       perl(File::Spec) >= 0.82
Requires:       perl(IO::File)
Requires:       perl(Module::Metadata) >= 1.000002
Requires:       perl(Perl::OSType) >= 1
Requires:       perl(version) >= 0.87
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Module::Build is a system for building, testing, and installing Perl
modules. It is meant to be an alternative to ExtUtils::MakeMaker.
Developers may alter the behavior of the module through subclassing in a
much more straightforward way than with MakeMaker. It also does not require
a make on your system - most of the Module::Build code is pure-perl and
written in a very cross-platform way. In fact, you don't even need a shell,
so even platforms like MacOS (traditional) can use it fairly easily. Its
only prerequisites are modules that are included with perl 5.6.0, and it
works fine on perl 5.005 if you can install a few additional modules.

%prep
%setup -q -n Module-Build-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes contrib LICENSE README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Nov 10 2020 Gavin Carr <gavin@openfusion.com.au> 0.4231-1
- Update to version 0.4231.

* Sat Apr 11 2015 Gavin Carr <gavin@openfusion.com.au> 0.4211-1
- Update to version 0.4211.

* Tue Jul 22 2014 Gavin Carr <gavin@openfusion.com.au> 0.4206-1
- Update to version 0.4206.

* Mon Oct 22 2012 Gavin Carr <gavin@openfusion.com.au> 0.4003-1
- Update to version 0.4003.

* Wed Jul 04 2012 Gavin Carr <gavin@openfusion.com.au> 0.4001-1
- Update to version 0.4001.

* Sun Aug 21 2011 Gavin Carr <gavin@openfusion.com.au> 0.3800-1
- Bump epoch to 1 for compatibility with base.

* Thu Jun 30 2011 Gavin Carr <gavin@openfusion.com.au> 0.3800-1
- Bump version to 0.3800.

* Fri Feb 04 2011 Gavin Carr <gavin@openfusion.com.au> 0.3624-1
- Specfile autogenerated by cpanspec 1.78.
